QuorumAuth (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum.auth

## Class QuorumAuth

- java.lang.Object
- - org.apache.zookeeper.server.quorum.auth.QuorumAuth

-     public class QuorumAuth
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QuorumAuth.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `QUORUM_AUTH_MAGIC_NUMBER`
    `static String` | `QUORUM_KERBEROS_SERVICE_PRINCIPAL`
    `static String` | `QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE`
    `static String` | `QUORUM_LEARNER_SASL_AUTH_REQUIRED`
    `static String` | `QUORUM_LEARNER_SASL_LOGIN_CONTEXT`
    `static String` | `QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE`
    `static String` | `QUORUM_SASL_AUTH_ENABLED`
    `static String` | `QUORUM_SERVER_SASL_AUTH_REQUIRED`
    `static String` | `QUORUM_SERVER_SASL_LOGIN_CONTEXT`
    `static String` | `QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuorumAuth()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuorumAuthPacket` | `createPacket(QuorumAuth.Status status, byte[] response)`
    `static boolean` | `nextPacketIsAuth(DataInputStream din)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUORUM_SASL_AUTH_ENABLED

          public static final String QUORUM_SASL_AUTH_ENABLED

      See Also:
        Constant Field Values

    - #### QUORUM_SERVER_SASL_AUTH_REQUIRED

          public static final String QUORUM_SERVER_SASL_AUTH_REQUIRED

      See Also:
        Constant Field Values

    - #### QUORUM_LEARNER_SASL_AUTH_REQUIRED

          public static final String QUORUM_LEARNER_SASL_AUTH_REQUIRED

      See Also:
        Constant Field Values

    - #### QUORUM_KERBEROS_SERVICE_PRINCIPAL

          public static final String QUORUM_KERBEROS_SERVICE_PRINCIPAL

      See Also:
        Constant Field Values

    - #### QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE

          public static final String QUORUM_KERBEROS_SERVICE_PRINCIPAL_DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### QUORUM_LEARNER_SASL_LOGIN_CONTEXT

          public static final String QUORUM_LEARNER_SASL_LOGIN_CONTEXT

      See Also:
        Constant Field Values

    - #### QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

          public static final String QUORUM_LEARNER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

      See Also:
        Constant Field Values

    - #### QUORUM_SERVER_SASL_LOGIN_CONTEXT

          public static final String QUORUM_SERVER_SASL_LOGIN_CONTEXT

      See Also:
        Constant Field Values

    - #### QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

          public static final String QUORUM_SERVER_SASL_LOGIN_CONTEXT_DFAULT_VALUE

      See Also:
        Constant Field Values

    - #### QUORUM_AUTH_MAGIC_NUMBER

          public static final long QUORUM_AUTH_MAGIC_NUMBER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QuorumAuth

          public QuorumAuth()

  - ### Method Detail

    - #### createPacket

          public static QuorumAuthPacket createPacket(QuorumAuth.Status status,
                                                      byte[] response)

    - #### nextPacketIsAuth

          public static boolean nextPacketIsAuth(DataInputStream din)
                                          throws IOException

      Throws:
        `IOException`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.